SND_SOC_ADD_CARD_CON(9)

NAME
snd_soc_add_card_controls - add an array of controls to a SoC card. Convenience function to add a list of controls.

SYNOPSIS

int snd_soc_add_card_controls(struct snd_soc_card * soc_card, const struct snd_kcontrol_new * controls, int num_controls);

ARGUMENTS

soc_card
    SoC card to add controls to

controls
    array of controls to add

num_controls
    number of elements in the array

DESCRIPTION

Return 0 for success, else error.

COPYRIGHT